:root {
    --header: 65px;
    --lightbrown: #EDE0D4;
    --brown:#5F4028;
    --darkbrown: #3F2A16;
    --navy: #1F273A;
    --toffee: #BD8F6B;
}

.topnav {
    display: flex;
    align-items: center;
    position: fixed;

    z-index: 100;
    width: 100%;
    height: var(--header);

    background-color: #7F5539;
    color: var(--lightbrown);

    justify-content: flex-end;
    gap: 35px;
    padding-right: 20px;
    box-sizing: border-box;
}

.topnav a {
    text-decoration: none;
    color: var(--lightbrown);
    font-size: 18px;
    border-radius: 15px;
    display: inline-flex;
    padding: 10px 15px;
    transition: 0.3s;
}

.topnav a:hover {
    color: var(--navy);
}

.topnav a.active {
    background: rgba(31, 39, 58, 0.36);
}

.nav-stars {
    position: absolute;
    top: 0;
    left: 0;
    transform: rotate(-deg);
    width: 111px;
}

.header {
    padding-top: var(--header);
    width: 100%;
    height: 450px;
    background: url(images/plaid.png) lightgray 50% / cover no-repeat;
}

.header h1 {
    text-align: center;
    font-size: 50px;
    color: var(--lightbrown);
    padding-top: 150px;
    margin-left: -40px;
}

.leapordstar {
    position: absolute;
    top: 395px;
    left: 30px;
    width: 150px;
}

.maroonstar {
    position: absolute;
    top: 90px;
    right: 0px;
    width: 110px;
}

.starss {
    position: absolute;
    top: 467px;
    right: 45px;
    width: 180px;
}

.backgroundstars {
    position: absolute;
    width: 1200px;
    left: 80px;
    top: 250px;
}

body {
    margin: 0;
    background: #E6CCB2;
    overflow-x: hidden;
}

h1 {
    text-align: left;
    font-size: 30px;
    color: var(--navy);
    padding-top: 20px;
    padding-left: 40px;
}

.menu-item {
    display: flex;
    align-items: center;
    margin-left: 60px;
}

.menu-item img {
    width: 100px;
    height: auto;
    margin-right: 20px;
}

#menu {
    padding-top: 35px;
    padding-bottom: 80px;
    margin-right: 600px;
}

#menu h1 {
    padding-bottom: 12px;
}

#menu h2 {
    font-size: 23px;
    color: var(--brown);
    margin: 35px;
}

#menu a {
    text-decoration: underline;
    font-weight: 500;
    color: var(--brown);
}

.receiptify {
    position: absolute;
    top: -540px;
    right: 81px;
    width: 300px;
    z-index: 2;
}

#listened {
    position: relative;
}

#listened p {
    position: absolute;
    font-size: 17px;
    font-style: italic;
    font-weight: 700;
    letter-spacing: 0.66px;
}

#listened-text {
    position: absolute;
    top: -340px;
    right: 380px;
    transform: rotate(-27.661deg);
}

#arrow {
    position: absolute;
    top: -315px;
    right: 400px;
}

#about {
    position: relative;
    padding-right: 45px;
    scroll-margin-top: calc(var(--header) + 30px);
}

.glass-star {
    position: absolute;
    top: -100px;
    left: 35%;
    width: 140px;
    z-index: 2;
    pointer-events: none;
}

.about-content {
    position: relative;
    z-index: 1;
}

.about-rectangle {
    position: absolute;
    inset: -30px 0 -20px 0;
    width: 100%;
    background-color: var(--darkbrown);
    opacity: 0.34;
    z-index: 0;
}

#about p {
    font-size: 20px;
    color: var(--darkbrown);
    letter-spacing: 2.8px;
    line-height: 150%;
    margin-right: 350px;
    padding-top: 10px;
    padding-left: 45px;
}

#about h3 {
    text-align: center;
    font-size: 19px;
    color: #FFF;
    padding-bottom: 40px;
    padding-top: 20px;
    padding-left: 45px;
    font-weight: 500;
    letter-spacing: 2px;
}

.projects {
    position: relative;
    z-index: 1;
}

#projects {
    position: relative;
    padding-top: 70px;
}

#projects h2, p {
    color: var(--darkbrown);
    padding-right: 17px;
    padding-left: 19px;
}

#projects a {
    text-decoration: none;
    color: var(--darkbrown);
}

#projects #rhythm, #projects #daydream {
    font-size: 18px;
    letter-spacing: 0.66px;
}

#projects #academica {
    font-size: 18px;
    letter-spacing: 0.88px;
}

.projects-rectangle {
    position: absolute;

    width: 100%;

    background-color: var(--toffee);
    opacity: 0.34;

    top: 57px;
    bottom: 0;
    left: 0;
    z-index: 0;
}

.projects-grid {
    margin-left: 10px;
    margin-right: 10px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.project-card {
    z-index: 1;
    background: rgb(127 85 57 / 20%);
    border-radius: 15px;
    margin: 20px 20px 0px 20px;
    object-fit: cover;
}

.project-card h2 {
    margin-top: 0;
}

.project-card h3 {
    text-align: right;
    margin: -10px 20px -8px 20px;
    color: var(--darkbrown);
    font-size: 12px;
}

.project-card img {
    width: calc(100% - 40px);
    margin: 20px;
    height: auto;
    border-radius: 10px 10px 10px 10px;
}

#projects #more-projects {
    text-align: center;
    padding-bottom: 47px;
}

.blue-coffee {
    position: absolute;
    bottom: -150px;
    left: 180px;
    width: 210px;
}

/* sizings for smaller/larger screens */
@media (max-width: 900px) {
    #menu {
        margin-right: 0;
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    #menu > h1 {
        grid-column: 1 / -1;
    }

    .menu-item:nth-of-type(4) {
        grid-column: 1 / -1;
    }

    .menu-item:nth-of-type(5) {
        grid-column: 1 / -1;
    }

    .receiptify {
        top: -320px;
        right: 60px;
        width: 250px;
    }

    #listened-text {
        position: absolute;
        top: -390px;
        right: 270px;
        transform: rotate(-27.661deg);
    }

    #arrow {
        position: absolute;
        top: -365px;
        right: 300px;
    }
}